sc::CLHF(3)

NAME
sc::CLHF -

CLHF is a Hartree-Fock specialization of CLSCF.

SYNOPSIS

#include <clhf.h>

Inherits sc::CLSCF.

  Public Member Functions
CLHF (StateIn &)
CLHF (const Ref< KeyVal > &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void print (std::ostream &o=ExEnv::out0()) const
Print information about the object.
void two_body_energy (double &ec, double &ex)
int value_implemented () const
Information about the availability of values, gradients, and hessians.
int gradient_implemented () const

  Protected Member Functions
void ao_fock (double accuracy)
void two_body_deriv (double *)

  Additional Inherited Members

Detailed Description

CLHF is a Hartree-Fock specialization of CLSCF.

Member Function Documentation

  void sc::CLHF::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::MolecularEnergy.

  int sc::CLHF::value_implemented () const [virtual]

Information about the availability of values, gradients, and hessians.

Reimplemented from sc::Function.

Author

Generated automatically by Doxygen for MPQC from the source code.